package oop.Abstraction;

public abstract class Auto {
	
	private double  höhe;
	private double gewicht;
	private int anzahlDerRäder;
	
	
	
	public Auto(double höhe, double gewicht, int anzahlDerRäder) {
		this.höhe = höhe;
		this.gewicht = gewicht;
		this.anzahlDerRäder = anzahlDerRäder;
	}

	abstract void autopilot(); //  automatischen Fahren 
	
	abstract void streamingService();
	
	abstract void parkingSensors();
	
	private void print() {
		System.out.println("Hallo Welt");
	}

}
